CREATE TABLE LEMBRETE (
ID_LEMBRETE INTEGER NOT NULL PRIMARY KEY,
ID_ENTRADA INTEGER,
DATA DATE,
HORA TIME,
DESCRICAO VARCHAR(250),
USUARIO CHAR(10),
CONCLUIDO CHAR(1) DEFAULT 'N'
);

CREATE GENERATOR GEN_ID_LEMBRETE;

SET TERM ^;

CREATE TRIGGER TRIG_GEN_ID_LEMBRETE FOR LEMBRETE
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_LEMBRETE = gen_id(GEN_ID_LEMBRETE,1);
END
^

COMMIT WORK^
SET TERM;^

UPDATE PARAMETROS SET SCRIPT = '108';

